Index: code/branches/objecthierarchy/src/orxonox/objects/Test.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Test.h	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/Test.h	(revision 2019)
@@ -39,14 +39,14 @@
   {
     public:
-      Test();
+      Test(BaseObject* creator);
       virtual ~Test();
 
       void setConfigValues();
       void registerVariables();
-      
+
       void setV1(unsigned int value){ v1 = value; }
       void setV2(unsigned int value){ v2 = value; }
       void setV3(unsigned int value){ v3 = value; }
-      
+
       void checkV1();
       void checkV2();
Index: code/branches/objecthierarchy/src/orxonox/objects/Trigger.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Trigger.cc	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/Trigger.cc	(revision 2019)
@@ -35,4 +35,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/XMLPort.h"
+#include "objects/Scene.h"
 
 namespace orxonox
@@ -43,5 +44,5 @@
   CreateFactory(Trigger);
 
-  Trigger::Trigger()
+  Trigger::Trigger(BaseObject* creator) : PositionableEntity(creator)
   {
     RegisterObject(Trigger);
@@ -57,6 +58,9 @@
     latestState_ = 0x0;
 
-    debugBillboard_.setBillboardSet("Examples/Flare", ColourValue(1.0, 0.0, 0.0), 1);
-    debugBillboard_.setVisible(false);
+    if (this->getScene() && this->getScene()->getSceneManager())
+    {
+      debugBillboard_.setBillboardSet(this->getScene()->getSceneManager(), "Examples/Flare", ColourValue(1.0, 0.0, 0.0), 1);
+      debugBillboard_.setVisible(false);
+    }
 
     this->getNode()->attachObject(debugBillboard_.getBillboardSet());
Index: code/branches/objecthierarchy/src/orxonox/objects/Trigger.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Trigger.h	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/Trigger.h	(revision 2019)
@@ -50,5 +50,5 @@
   {
     public:
-      Trigger();
+      Trigger(BaseObject* creator);
       ~Trigger();
 
Index: code/branches/objecthierarchy/src/orxonox/objects/controllers/Controller.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/controllers/Controller.cc	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/controllers/Controller.cc	(revision 2019)
@@ -36,10 +36,10 @@
     CreateUnloadableFactory(Controller);
 
-    Controller::Controller()
+    Controller::Controller(BaseObject* creator) : BaseObject(creator)
     {
         RegisterObject(Controller);
 
         this->player_ = 0;
-        this->pawn_ = 0;
+        this->controllableEntity_ = 0;
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/controllers/Controller.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/controllers/Controller.h	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/controllers/Controller.h	(revision 2019)
@@ -39,5 +39,5 @@
     {
         public:
-            Controller();
+            Controller(BaseObject* creator);
             virtual ~Controller();
 
@@ -47,12 +47,12 @@
                 { return this->player_; }
 
-            inline void setPawn(ControllableEntity* pawn)
-                { this->pawn_ = pawn; }
-            inline ControllableEntity* getPawn() const
-                { return this->pawn_; }
+            virtual inline void setControllableEntity(ControllableEntity* entity)
+                { this->controllableEntity_ = entity; }
+            virtual inline ControllableEntity* getControllableEntity() const
+                { return this->controllableEntity_; }
 
         protected:
             PlayerInfo* player_;
-            ControllableEntity* pawn_;
+            ControllableEntity* controllableEntity_;
     };
 }
Index: code/branches/objecthierarchy/src/orxonox/objects/controllers/HumanController.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/controllers/HumanController.cc	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/controllers/HumanController.cc	(revision 2019)
@@ -52,5 +52,5 @@
     HumanController* HumanController::localController_s = 0;
 
-    HumanController::HumanController()
+    HumanController::HumanController(BaseObject* creator) : Controller(creator)
     {
         RegisterObject(HumanController);
@@ -66,66 +66,66 @@
     void HumanController::moveFrontBack(const Vector2& value)
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->moveFrontBack(value.y);
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->moveFrontBack(value.y);
     }
 
     void HumanController::moveRightLeft(const Vector2& value)
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->moveRightLeft(value.y);
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->moveRightLeft(value.y);
     }
 
     void HumanController::moveUpDown(const Vector2& value)
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->moveUpDown(value.y);
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->moveUpDown(value.y);
     }
 
     void HumanController::rotateYaw(const Vector2& value)
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->rotateYaw(value.y);
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->rotateYaw(value.y);
     }
 
     void HumanController::rotatePitch(const Vector2& value)
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->rotatePitch(value.y);
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->rotatePitch(value.y);
     }
 
     void HumanController::rotateRoll(const Vector2& value)
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->rotateRoll(value.y);
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->rotateRoll(value.y);
     }
 
     void HumanController::fire()
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->fire();
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->fire();
     }
 
     void HumanController::altFire()
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->altFire();
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->altFire();
     }
 
     void HumanController::greet()
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->greet();
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->greet();
     }
 
     void HumanController::use()
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->use();
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->use();
     }
 
     void HumanController::switchCamera()
     {
-        if (HumanController::localController_s && HumanController::localController_s->pawn_)
-            HumanController::localController_s->pawn_->switchCamera();
+        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
+            HumanController::localController_s->controllableEntity_->switchCamera();
     }
 }
Index: code/branches/objecthierarchy/src/orxonox/objects/controllers/HumanController.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/controllers/HumanController.h	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/controllers/HumanController.h	(revision 2019)
@@ -40,5 +40,5 @@
     {
         public:
-            HumanController();
+            HumanController(BaseObject* creator);
             virtual ~HumanController();
 
Index: code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.cc	(revision 2019)
@@ -30,7 +30,11 @@
 #include "Gametype.h"
 
+#include <cstdlib>
+#include <ctime>
+
 #include "core/CoreIncludes.h"
 #include "objects/infos/PlayerInfo.h"
 #include "objects/worldentities/pawns/Spectator.h"
+#include "objects/worldentities/SpawnPoint.h"
 
 #include "network/Host.h"
@@ -40,34 +44,43 @@
     CreateUnloadableFactory(Gametype);
 
-    Gametype::Gametype()
+    Gametype::Gametype(BaseObject* creator) : BaseObject(creator)
     {
         RegisterObject(Gametype);
 
         this->defaultPawn_ = Class(Spectator);
+        this->bStarted_ = false;
+        this->bEnded_ = false;
+        this->bAutoStart_ = false;
 
         COUT(0) << "created Gametype" << std::endl;
     }
 
-    void Gametype::addPlayer(PlayerInfo* player)
+    void Gametype::tick(float dt)
+    {
+        if (!this->bStarted_)
+            this->checkStart();
+
+        this->assignDefaultPawnsIfNeeded();
+    }
+
+    void Gametype::start()
+    {
+        COUT(0) << "game started" << std::endl;
+        this->bStarted_ = true;
+
+        for (std::set<PlayerInfo*>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
+            this->spawnPlayer(*it);
+    }
+
+    void Gametype::end()
+    {
+        COUT(0) << "game ended" << std::endl;
+        this->bEnded_ = true;
+    }
+
+    void Gametype::playerEntered(PlayerInfo* player)
     {
         this->players_.insert(player);
-        this->playerJoined(player);
-
-        ControllableEntity* newpawn = this->defaultPawn_.fabricate();
-        player->startControl(newpawn);
-    }
-
-    void Gametype::removePlayer(PlayerInfo* player)
-    {
-        if (this->players_.find(player) != this->players_.end())
-        {
-            player->stopControl();
-            this->players_.erase(player);
-            this->playerLeft(player);
-        }
-    }
-
-    void Gametype::playerJoined(PlayerInfo* player)
-    {
+
         std::string message = player->getName() + " entered the game";
         COUT(0) << message << std::endl;
@@ -77,7 +90,21 @@
     void Gametype::playerLeft(PlayerInfo* player)
     {
-        std::string message = player->getName() + " left the game";
-        COUT(0) << message << std::endl;
-        network::Host::Broadcast(message);
+        std::set<PlayerInfo*>::iterator it = this->players_.find(player);
+        if (it != this->players_.end())
+        {
+            this->players_.erase(it);
+
+            std::string message = player->getName() + " left the game";
+            COUT(0) << message << std::endl;
+            network::Host::Broadcast(message);
+        }
+    }
+
+    void Gametype::playerSwitched(PlayerInfo* player, Gametype* newgametype)
+    {
+    }
+
+    void Gametype::playerSwitchedBack(PlayerInfo* player, Gametype* oldgametype)
+    {
     }
 
@@ -94,3 +121,100 @@
         }
     }
+
+    void Gametype::playerSpawned(PlayerInfo* player)
+    {
+    }
+
+    void Gametype::playerDied(PlayerInfo* player)
+    {
+    }
+
+    void Gametype::playerScored(PlayerInfo* player)
+    {
+    }
+
+    SpawnPoint* Gametype::getBestSpawnPoint(PlayerInfo* player) const
+    {
+        if (this->spawnpoints_.size() > 0)
+        {
+            srand(time(0));
+            rnd();
+
+            unsigned int randomspawn = (unsigned int)rnd(this->spawnpoints_.size());
+            unsigned int index = 0;
+            for (std::set<SpawnPoint*>::iterator it = this->spawnpoints_.begin(); it != this->spawnpoints_.end(); ++it)
+            {
+                if (index == randomspawn)
+                    return (*it);
+
+                ++index;
+            }
+        }
+        return 0;
+    }
+
+    void Gametype::assignDefaultPawnsIfNeeded() const
+    {
+        for (std::set<PlayerInfo*>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
+        {
+            if (!(*it)->getControllableEntity() && (!(*it)->isReadyToSpawn() || !this->bStarted_))
+            {
+                SpawnPoint* spawn = this->getBestSpawnPoint(*it);
+                if (spawn)
+                {
+                    // force spawn at spawnpoint with default pawn
+                    ControllableEntity* newpawn = this->defaultPawn_.fabricate(spawn);
+                    spawn->spawn(newpawn);
+                    (*it)->startControl(newpawn);
+                }
+                else
+                {
+                    COUT(1) << "Error: No SpawnPoints in current Gametype" << std::endl;
+                    abort();
+                }
+            }
+        }
+    }
+
+    void Gametype::checkStart()
+    {
+        if (!this->bStarted_)
+        {
+            if (this->players_.size() > 0)
+            {
+                if (this->bAutoStart_)
+                {
+                    this->start();
+                }
+                else
+                {
+                    bool allplayersready = true;
+                    for (std::set<PlayerInfo*>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
+                    {
+                        if (!(*it)->isReadyToSpawn())
+                            allplayersready = false;
+                    }
+                    if (allplayersready)
+                        this->start();
+                }
+            }
+        }
+    }
+
+    void Gametype::spawnPlayer(PlayerInfo* player)
+    {
+        if (player->isReadyToSpawn())
+        {
+            SpawnPoint* spawnpoint = this->getBestSpawnPoint(player);
+            if (spawnpoint)
+            {
+                player->startControl(spawnpoint->spawn());
+            }
+            else
+            {
+                COUT(1) << "Error: No SpawnPoints in current Gametype" << std::endl;
+                abort();
+            }
+        }
+    }
 }
Index: code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.h	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/gametypes/Gametype.h	(revision 2019)
@@ -37,29 +37,50 @@
 #include "core/Identifier.h"
 #include "objects/worldentities/ControllableEntity.h"
+#include "objects/Tickable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Gametype : public BaseObject
+    class _OrxonoxExport Gametype : public BaseObject, public Tickable
     {
         friend class PlayerInfo;
 
         public:
-            Gametype();
+            Gametype(BaseObject* creator);
             virtual ~Gametype() {}
+
+            virtual void tick(float dt);
+
+            virtual void start();
+            virtual void end();
+            virtual void playerEntered(PlayerInfo* player);
+            virtual void playerLeft(PlayerInfo* player);
+            virtual void playerSwitched(PlayerInfo* player, Gametype* newgametype);
+            virtual void playerSwitchedBack(PlayerInfo* player, Gametype* oldgametype);
+            virtual void playerChangedName(PlayerInfo* player);
+            virtual void playerSpawned(PlayerInfo* player);
+            virtual void playerDied(PlayerInfo* player);
+            virtual void playerScored(PlayerInfo* player);
 
             inline const std::set<PlayerInfo*>& getPlayers() const
                 { return this->players_; }
 
-        protected:
-            virtual void playerJoined(PlayerInfo* player);
-            virtual void playerLeft(PlayerInfo* player);
-
-            virtual void playerChangedName(PlayerInfo* player);
+            inline void registerSpawnPoint(SpawnPoint* spawnpoint)
+                { this->spawnpoints_.insert(spawnpoint); }
 
         private:
+            virtual SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const;
+
             void addPlayer(PlayerInfo* player);
             void removePlayer(PlayerInfo* player);
 
+            void assignDefaultPawnsIfNeeded() const;
+            void checkStart();
+            void spawnPlayer(PlayerInfo* player);
+
+            bool bStarted_;
+            bool bEnded_;
+            bool bAutoStart_;
             std::set<PlayerInfo*> players_;
+            std::set<SpawnPoint*> spawnpoints_;
             SubclassIdentifier<ControllableEntity> defaultPawn_;
     };
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2019)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.cc	(revision 2019)
@@ -0,0 +1,142 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "OrxonoxStableHeaders.h"
+#include "HumanPlayer.h"
+
+#include "core/Core.h"
+#include "core/CoreIncludes.h"
+#include "core/ConfigValueIncludes.h"
+#include "network/ClientInformation.h"
+#include "network/Host.h"
+#include "objects/controllers/HumanController.h"
+#include "objects/gametypes/Gametype.h"
+
+namespace orxonox
+{
+    CreateUnloadableFactory(HumanPlayer);
+
+    HumanPlayer::HumanPlayer(BaseObject* creator) : PlayerInfo(creator)
+    {
+        RegisterObject(HumanPlayer);
+
+        this->server_ready_ = Core::isMaster();
+        this->client_ready_ = false;
+
+        this->bHumanPlayer_ = true;
+        this->defaultController_ = Class(HumanController);
+
+        this->setConfigValues();
+        this->registerVariables();
+
+        COUT(0) << "HumanPlayer created" << std::endl;
+    }
+
+    HumanPlayer::~HumanPlayer()
+    {
+    }
+
+    void HumanPlayer::setConfigValues()
+    {
+        SetConfigValue(nick_, "Player").callback(this, &HumanPlayer::configvaluecallback_changednick);
+    }
+
+    void HumanPlayer::registerVariables()
+    {
+        REGISTERSTRING(this->synchronize_nick_, network::direction::toserver, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_changednick));
+
+        REGISTERDATA(this->clientID_,     network::direction::toclient, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_clientIDchanged));
+        REGISTERDATA(this->server_ready_, network::direction::toclient, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_server_ready));
+        REGISTERDATA(this->client_ready_, network::direction::toserver, new network::NetworkCallback<HumanPlayer>(this, &HumanPlayer::networkcallback_client_ready));
+    }
+
+    void HumanPlayer::configvaluecallback_changednick()
+    {
+        if (this->isLocalPlayer())
+        {
+            this->synchronize_nick_ = this->nick_;
+
+            if (Core::isMaster())
+                this->setName(this->nick_);
+        }
+    }
+
+    void HumanPlayer::networkcallback_changednick()
+    {
+        this->setName(this->synchronize_nick_);
+    }
+
+    void HumanPlayer::networkcallback_clientIDchanged()
+    {
+        if (this->clientID_ == network::Host::getPlayerID())
+        {
+            this->bLocalPlayer_ = true;
+            this->synchronize_nick_ = this->nick_;
+            this->client_ready_ = true;
+
+            if (!Core::isMaster())
+                this->setObjectMode(network::direction::bidirectional);
+            else
+                this->setName(this->nick_);
+
+            this->createController();
+        }
+    }
+
+    void HumanPlayer::networkcallback_server_ready()
+    {
+        this->client_ready_ = true;
+    }
+
+    void HumanPlayer::networkcallback_client_ready()
+    {
+        if (this->getGametype())
+            this->getGametype()->playerEntered(this);
+    }
+
+    bool HumanPlayer::isReady() const
+    {
+        return (this->server_ready_ && this->client_ready_);
+    }
+
+    float HumanPlayer::getPing() const
+    {
+        return network::ClientInformation::findClient(this->getClientID())->getRTT();
+    }
+
+    float HumanPlayer::getPacketLossRatio() const
+    {
+        return network::ClientInformation::findClient(this->getClientID())->getPacketLoss();
+    }
+
+    void HumanPlayer::setClientID(unsigned int clientID)
+    {
+        this->clientID_ = clientID;
+        this->networkcallback_clientIDchanged();
+    }
+}
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.h	(revision 2019)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/HumanPlayer.h	(revision 2019)
@@ -0,0 +1,69 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _HumanPlayer_H__
+#define _HumanPlayer_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "PlayerInfo.h"
+#include "core/Identifier.h"
+#include "objects/controllers/Controller.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport HumanPlayer : public PlayerInfo
+    {
+        public:
+            HumanPlayer(BaseObject* creator);
+            virtual ~HumanPlayer();
+
+            void registerVariables();
+            void setConfigValues();
+
+            bool isReady() const;
+            float getPing() const;
+            float getPacketLossRatio() const;
+
+            void setClientID(unsigned int clientID);
+
+        protected:
+            void configvaluecallback_changednick();
+            void networkcallback_changednick();
+            void networkcallback_clientIDchanged();
+            void networkcallback_server_ready();
+            void networkcallback_client_ready();
+
+            std::string nick_;
+            std::string synchronize_nick_;
+            bool server_ready_;
+            bool client_ready_;
+    };
+}
+
+#endif /* _HumanPlayer_H__ */
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/Info.cc	(revision 2019)
@@ -34,5 +34,5 @@
 namespace orxonox
 {
-    Info::Info()
+    Info::Info(BaseObject* creator) : BaseObject(creator)
     {
         RegisterObject(Info);
Index: code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h	(revision 2013)
+++ code/branches/objecthierarchy/src/orxonox/objects/infos/Info.h	(revision 2019)
@@ -40,5 +40,5 @@
     {
         public:
-            Info();
+            Info(BaseObject* creator);
             virtual ~Info() {}
     };
